> ## Documentation Index
> Fetch the complete documentation index at: https://docs.animusai.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List characters



## OpenAPI

````yaml api-reference/openapi.json get /characters
openapi: 3.1.0
info:
  version: 2.0.0
  title: Animus API
  description: >-
    Animus' API provides you with a variety of AI-driven capabilities. From
    generating text with our advanced large language models to creating
    customized content schedules, our API's applications are vast and versatile.

    Whether it's facilitating seamless conversation through predictive response
    or simulating a comprehensive content calendar, our advanced functionalities
    can cater to an array of feature requirements.
servers:
  - url: https://api.animusai.co/v2
security: []
paths:
  /characters:
    get:
      tags:
        - Character
      summary: List characters
      operationId: listCharacters
      parameters:
        - name: limit
          in: query
          schema:
            type: integer
            default: 20
            minimum: 1
            maximum: 100
          description: Maximum number of characters to return.
        - name: offset
          in: query
          schema:
            type: integer
            default: 0
            minimum: 0
          description: Number of characters to skip for pagination.
      responses:
        '200':
          description: Characters for the authenticated organization.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CharacterListResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    CharacterListResponse:
      type: object
      properties:
        characters:
          type: array
          items:
            $ref: '#/components/schemas/Character'
        pagination:
          $ref: '#/components/schemas/Pagination'
        filters:
          type: object
          properties:
            organization_id:
              type: string
            creator_id:
              type: string
    Character:
      type: object
      properties:
        character_id:
          type: string
        organization_id:
          type: string
        creator_id:
          type: string
        name:
          type: string
        description:
          type: string
        status:
          type: string
        current_step:
          type: integer
        face_images_count:
          type: integer
        body_images_count:
          type: integer
        dataset_status:
          type: string
        face_lora_status:
          type: string
        body_lora_status:
          type: string
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        subscription_id:
          type:
            - string
            - 'null'
    Pagination:
      type: object
      properties:
        limit:
          type: integer
          minimum: 0
        offset:
          type: integer
          minimum: 0
        returned:
          type: integer
          minimum: 0
        has_more:
          type: boolean
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````